# All files / src/node-transformers AbstractNodeTransformer.ts

100% Statements 6/6
100% Branches 0/0
100% Functions 1/1
100% Lines 5/5

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    311x

    1x

    1x

    1x

    9139x

     import { injectable, inject } from 'inversify';

    import * as ESTree from 'estree';

    import { INodeTransformer } from '../interfaces/node-transformers/INodeTransformer';
    import { IOptions } from '../interfaces/options/IOptions';
    import { ServiceIdentifiers } from '../container/ServiceIdentifiers';

    @injectable()
    export abstract class AbstractNodeTransformer implements INodeTransformer {
        /**
         * @type {IOptions}
         */
        protected readonly options: IOptions;

        /**
         * @param options
         */
        constructor (
            @inject(ServiceIdentifiers.IOptions) options: IOptions
        ) {
            this.options = options;
        }

        /**
         * @param node
         * @param parentNode
         */
        public abstract transformNode (node: ESTree.Node, parentNode?: ESTree.Node): void;
    }